Bug 485437 - Create VirtIO drivers for RHEL3
Create VirtIO drivers for RHEL3
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: distribution (Show other bugs)
3.9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Rezanina
Martin Jenner
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-13 10:58 EST by Andrew Cathrow
Modified: 2014-09-07 18:52 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-03 05:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Cathrow 2009-02-13 10:58:24 EST
VirtIO drivers need to be added in an async update to RHEL 3 for network and block devices to be supported until RHEV and RHEL5.4 KVM
Comment 4 Marcelo Tosatti 2009-04-30 17:51:28 EDT
I have done a backport, it probably needs to be updated though to reflect the latest drivers (and some basic testing) so that should take a couple of days only.

Packaging takes longer though, is it documented somewhere what is the packaging format? External RPM or integrate it into the kernel RPM?

Then it needs to go through some real testing.

What is the deadline?
Comment 6 Brian Stein 2009-05-18 13:22:54 EDT
Any status update?
Comment 7 Miroslav Rezanina 2009-05-19 04:53:58 EDT
Backport is updated and basic functionality tested. Both drivers (network and block) are working. 

Still not decided if virtio should be patched into kernel or created separete package. My recommendation is to make it separate package.
Comment 9 Miroslav Rezanina 2009-06-10 05:28:40 EDT
Review Request: virtio drivers for RHEL3 - Backport of kvm virtio block and network device driver


Spec URL: http://file.brq.redhat.com/~mrezanin/virtio.spec
SRPM URL: http://file.brq.redhat.com/~mrezanin/virtio-0.1-4.el3.src.rpm
Descritpion:
This package is backport for 2.4 kernel of virtio backport suit git commit ae1ae62c24d1eddd35424bb1c6ce614f460e4962.
Comment 12 Shirley Zhou 2009-06-21 22:30:15 EDT
Network and block drivers are working in RHEL3.9-i686 guest, while do not work in RHEL3.9-x86_64 guest.
Comment 13 Miroslav Rezanina 2009-06-22 09:33:43 EDT
Problem with x86_64 guest is due to build. If I try to build virtio manualy, it is working. Trying to fix this problem.
Comment 14 Miroslav Rezanina 2009-06-23 05:06:27 EDT
Reason for problem with x86_64 version found:

Kernel installed is smp version, but do not have smp suffix in kernel version name. So using rpm for "" variant causes missing symbols as these have smp flag.

However, there is one more problem. During rpmbuild, only "" variant is build. No smp rpm is generated, although smp is specified as variant for x86_64 architecture.
Comment 15 Miroslav Rezanina 2009-06-23 08:53:23 EDT
New Links for Review 

Spec URL: http://file.brq.redhat.com/~mrezanin/virtio.spec
SRPM URL: http://file.brq.redhat.com/~mrezanin/virtio-0.1-5.el3.src.rpm

Changelog:
Just fixed variant handlig. Now correct variants are build for each platform (was missing smp for x86_64 and hugemem for i686)
Comment 16 Miroslav Rezanina 2009-06-24 03:42:22 EDT
New Links for Review 

Spec URL: http://file.brq.redhat.com/~mrezanin/virtio.spec
SRPM URL: http://file.brq.redhat.com/~mrezanin/virtio-0.1-6.el3.src.rpm

Changelog:
Return ia32e platform, that was removed. This done to solve x86_64 problem.

Please BE AWARE that Intel x86_64 plaform is ia32e not x86_64 (even if uname says kernel is x86_64). This is the reason for problems reported by Szhou
Comment 17 Shirley Zhou 2009-06-24 06:24:12 EDT
(In reply to comment #16)
> New Links for Review 
> 
> Spec URL: http://file.brq.redhat.com/~mrezanin/virtio.spec
> SRPM URL: http://file.brq.redhat.com/~mrezanin/virtio-0.1-6.el3.src.rpm
> 
> Changelog:
> Return ia32e platform, that was removed. This done to solve x86_64 problem.
> 
> Please BE AWARE that Intel x86_64 plaform is ia32e not x86_64 (even if uname
> says kernel is x86_64). This is the reason for problems reported by Szhou  

Hi, Miroslav

The block and nic drivers can work properly in RHEL3U9_x86_64 using the latest package.

Thanks a lot!
Comment 18 Miroslav Rezanina 2009-06-30 05:05:16 EDT
New Links for Review 

Spec URL: http://file.brq.redhat.com/~mrezanin/virtio.spec
SRPM URL: http://file.brq.redhat.com/~mrezanin/virtio-0.1-7.el3.src.rpm

Changelog:
Add GSO/TSO information into README. No functional changes.
Comment 19 Richard W.M. Jones 2009-06-30 05:20:55 EDT
Shouldn't the module and specfile be called
something along the lines of 'kmod-virtio'?

I could go into a more detailed review if you
want, but if someone else is assigned to this
review I'll let them do it.
Comment 20 Miroslav Rezanina 2009-06-30 05:31:30 EDT
@Richard:
Naming is taken over from xenpv package, that also use specfile name xenpv.spec not kmod-xenpv.spec and name of package xenpv. kmod is only build mechanism. However, I'm not so familiar with this topic, so I can be wrong.

Concerning detailed review. There is nobody special assigned to this topic (nobody I'm aware of). If you have time, it would be helpful you could do it.
Comment 22 YangFeng 2009-08-24 02:41:12 EDT
Hi:
By default, Virtio device in RHEL-3.9 only support two virtio disks.  could you make it support more virtual hard disks, at least 12, by default? Because RC release requires that KVM at least support 12 virtual disks.
Comment 23 Miroslav Rezanina 2009-08-24 04:47:21 EDT
Hi Yang,
disk count increased to 15 in version 0.1-10.el3
Comment 24 YangFeng 2009-08-25 04:22:02 EDT
Hi Miroslav,
Thanks for your help. I have tried virtio-0.1-10.el3 (get from https://brewweb.devel.redhat.com/buildinfo?buildID=111881) in REHL-3.9 (2.4.21-58.EL).

But, by default, it still only list vda, vdb in /dev folder. And I have to use mknod command to add other disks.
Comment 25 Miroslav Rezanina 2009-08-25 05:40:08 EDT
Ad #24
This is caused using update way. /dev/vd* files are created only during first installation of virtio rpm. 

To have correct disk number support, uninstall all virtio rpms first and then install the newest one.
Comment 31 Miroslav Rezanina 2009-08-31 04:50:40 EDT
Ad comment #27

Problem A:
Module is load but with warning, that module is for older kernel version. As .60 version was released last week, package was build with .58. Newer version solve this. Anyway, module is loaded and should be working.

Problem B:
You probably forgot to create disk nodes for manually installed modules. As there is no disk node, label can't be found. Nodes have to be created as is described in README file.

Problem C:
Do you install modules from proper package?? I'm not able to reproduce this. As in problem A, module is loaded and should working.

Ad comment #28:
This can be due to change in postinstall script - new way of creating device nodes (related to problem B).
Comment 32 lihuang 2009-08-31 05:24:56 EDT
Miroslav.
Thanks for the information. I am going to reset with the latest version
Comment 34 errata-xmlrpc 2009-09-03 05:39:04 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1425.html

Note You need to log in before you can comment on or make changes to this bug.